| 0.9.9 API documentation

Functions
matrix_transform_2d.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T , qualifier Q>
GLM_FUNC_QUALIFIER mat< 3, 3, T, Q > | rotate (mat< 3, 3, T, Q > const &m, T angle)
template<typename T , qualifier Q>
GLM_FUNC_QUALIFIER mat< 3, 3, T, Q > | scale (mat< 3, 3, T, Q > const &m, vec< 2, T, Q > const &v)
template<typename T , qualifier Q>
GLM_FUNC_QUALIFIER mat< 3, 3, T, Q > | shearX (mat< 3, 3, T, Q > const &m, T y)
template<typename T , qualifier Q>
GLM_FUNC_QUALIFIER mat< 3, 3, T, Q > | shearY (mat< 3, 3, T, Q > const &m, T x)
template<typename T , qualifier Q>
GLM_FUNC_QUALIFIER mat< 3, 3, T, Q > | translate (mat< 3, 3, T, Q > const &m, vec< 2, T, Q > const &v)

## Detailed Description

GLM_GTX_matrix_transform_2d

Author
  Miguel Ángel Pérez Martínez

See also
  Core features (dependence)

Definition in file matrix_transform_2d.hpp.